Loading...
Searching...
No Matches
pcl::common::IntensityFieldAccessor< pcl::PointNormal > Struct Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointNormal &p) const
void | get (const pcl::PointNormal &p, float &intensity) const
void | set (pcl::PointNormal &p, float intensity) const
void | demean (pcl::PointNormal &p, float value) const
void | add (pcl::PointNormal &p, float value) const

## Detailed Description

Definition at line 52 of file intensity.hpp.

## Member Function Documentation

## add()

void pcl::common::IntensityFieldAccessor< pcl::PointNormal >::add | ( | pcl::PointNormal & | p,
|  | float | value ) const

inline

Definition at line 79 of file intensity.hpp.

References pcl::_PointNormal::curvature.

## demean()

void pcl::common::IntensityFieldAccessor< pcl::PointNormal >::demean | ( | pcl::PointNormal & | p,
|  | float | value ) const

inline

Definition at line 73 of file intensity.hpp.

References pcl::_PointNormal::curvature.

## get()

void pcl::common::IntensityFieldAccessor< pcl::PointNormal >::get | ( | const pcl::PointNormal & | p,
|  | float & | intensity ) const

inline

Definition at line 61 of file intensity.hpp.

References pcl::_PointNormal::curvature.

## operator()()

float pcl::common::IntensityFieldAccessor< pcl::PointNormal >::operator() | ( | const pcl::PointNormal & | p | ) | const

inline

Definition at line 55 of file intensity.hpp.

References pcl::_PointNormal::curvature.

## set()

void pcl::common::IntensityFieldAccessor< pcl::PointNormal >::set | ( | pcl::PointNormal & | p,
|  | float | intensity ) const

inline

Definition at line 67 of file intensity.hpp.

References pcl::_PointNormal::curvature.

The documentation for this struct was generated from the following file:

- pcl/common/impl/intensity.hpp